#ifndef _PROCESS_H_
#define _PROCESS_H_

#if defined(_WIN32) || defined(_WIN32_WCE)
#include <windows.h>
#endif

namespace System
{

class Process
{
public:
    Process();
    ~Process();
    
#ifdef UNICODE
    void create(const wchar_t* programPath, const wchar_t* arguments);
#else
    void create(const char* programPath, const char* arguments);
#endif // UNICODE

    void kill();
    
private:
    HANDLE processHandle;
};


} // namespace System

#endif // _PROCESS_H_

